cURL
curl --request POST \ --url https://api.kaizenautomation.com/workflows/blocks/update \ --header 'Content-Type: application/json' \ --data ' { "workflowId": "<string>", "operations": [ { "type": "<string>", "block": { "name": "<string>", "blockReferenceId": "<string>", "type": "<string>", "isCacheable": true, "skipIfNotPresent": true, "useWorkflowRecoveryAgent": true, "data": { "loginId": "<string>", "isParameter": true, "forceLoginEveryTime": true }, "locator": { "role": "<string>", "text": "<string>", "label": "<string>", "placeholder": "<string>", "altText": "<string>", "title": "<string>", "css": "<string>", "xpath": "<string>" } }, "target": { "type": "<string>", "previousBlockId": "<string>" } } ] } '
{ "blocks": [ { "id": "<string>", "name": "<string>", "blockReferenceId": "<string>", "type": "<string>", "isCacheable": true, "skipIfNotPresent": true, "useWorkflowRecoveryAgent": true, "data": { "loginId": "<string>", "isParameter": true, "forceLoginEveryTime": true }, "parentRelationship": { "blockDepth": 123, "positionInSequence": 123, "parentBlockId": "<string>", "parentSequenceId": "sequence" }, "locator": { "role": "<string>", "text": "<string>", "label": "<string>", "placeholder": "<string>", "altText": "<string>", "title": "<string>", "css": "<string>", "xpath": "<string>" } } ] }
Show child attributes
Applied block operations successfully
Sequence of workflow block summaries